summaryrefslogtreecommitdiffstats
path: root/office/abiword/abiword.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/abiword/abiword.SlackBuild')
-rw-r--r--office/abiword/abiword.SlackBuild92
1 files changed, 92 insertions, 0 deletions
diff --git a/office/abiword/abiword.SlackBuild b/office/abiword/abiword.SlackBuild
new file mode 100644
index 0000000000..afca0968aa
--- /dev/null
+++ b/office/abiword/abiword.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for abiword
+
+# Copyright 2007 Martin Lefebvre <dadexter@sekurity.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=abiword
+VERSION=2.4.6
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION/abi || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-gnome \
+ --disable-enchant \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUILD.TXT BiDiReadme.txt COPYING COPYRIGHT.TXT CREDITS.TXT \
+ README.TXT ../abiword-docs/Tutorials ../abiword-docs/Manual \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Install the man page
+mkdir -p $PKG/usr/man/man1
+cat ../abiword-docs/man/abiword.1 | gzip -9 > $PKG/usr/man/man1/abiword.1.gz
+
+# Empty directory can go (unless someone has a valid reason for it to stay)
+# /usr/lib/bonobo <-- nothing is in /usr/lib at all otherwise
+rm -rf $PKG/usr/lib
+
+# No need to clutter up the toplevel /usr/share/icons
+mv $PKG/usr/share/icons $PKG/usr/share/pixmaps
+
+# Fix icon path in .desktop file so that it will show up in KDE
+sed -i 's|Icon=abiword_48.png|Icon=/usr/share/pixmaps/abiword_48.png|' \
+ $PKG/usr/share/applications/abiword.desktop || exit 1
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz